Name:		qloud
Version:	0.31
Release:	%mkrel 8
License:	GPLv2+
URL:		http://gaydenko.com/qloud/
Group:		Sound/Utilities
Summary:	tool to measure loudspeaker frequency and step responses and distortions
Source:		http://gaydenko.com/qloud/download/%{name}-%{version}.tar.bz2
Source1:	qloud.png
BuildRequires:	fftw-devel
BuildRequires:	glibc-devel
BuildRequires:	libjack-devel
BuildRequires:	libgcc
BuildRequires:	libstdc++-devel
BuildRequires:	qt4-devel
BuildRequires:	libqwt-devel
BuildRequires:	libsndfile-devel

%description
QLoud is a tool to measure a loudspeaker frequency response and distortions.

%prep
%setup -q

%build
#src/Makefile must be regenerated by qmake
rm src/Makefile
qmake
%make

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/qloud %{buildroot}%{_bindir}/qloud

install -m644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Qloud
Comment=loudspeaker measuring tool
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF


%files
%{_bindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/%{name}.png



%changelog
* Wed Feb 03 2016 umeabot <umeabot> 0.31-8.mga6
+ Revision: 933823
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.31-7.mga5
+ Revision: 743723
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.31-6.mga5
+ Revision: 688494
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.31-5.mga4
+ Revision: 517850
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.31-4.mga3
+ Revision: 379840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 0.31-3.mga3
+ Revision: 343374
- updated RPM group (Visualization is no more)

* Thu Dec 27 2012 wally <wally> 0.31-2.mga3
+ Revision: 335708
- BR libsndfile-devel

* Sat Nov 17 2012 zezinho <zezinho> 0.31-1.mga3
+ Revision: 319231
- remove forgotten makefile
- disable old patches
- new version
- new version
- change group
- spec cleanup

* Tue Jan 24 2012 zezinho <zezinho> 0.23-1.mga2
+ Revision: 200584
- patch to use new qwt devel paths
- imported package qloud


* Tue Jan 11 2011 Karsten Brockmann <arcam@ccux-linux.de> 0.23-1
- Version update
* Tue Jul 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.22-1
- initial CCux package release
